Loading...
Searching...
No Matches
RDKit::SmilesMolSupplier Class Reference

lazy file parser for Smiles tables More...

`#include <MolSupplier.h>`

Inheritance diagram for RDKit::SmilesMolSupplier:

## Public Member Functions

| SmilesMolSupplier (const std::string &fileName, const std::string &delimiter=" \t", int smilesColumn=0, int nameColumn=1, bool titleLine=true, bool sanitize=true)
| SmilesMolSupplier ()
| SmilesMolSupplier (std::istream *inStream, bool takeOwnership=true, const std::string &delimiter=" \t", int smilesColumn=0, int nameColumn=1, bool titleLine=true, bool sanitize=true)
| ~SmilesMolSupplier () override
void | setData (const std::string &text, const std::string &delimiter=" ", int smilesColumn=0, int nameColumn=1, bool titleLine=true, bool sanitize=true)
void | init () override
void | reset () override
ROMol * | next () override
bool | atEnd () override
void | moveTo (unsigned int idx)
ROMol * | operator[] (unsigned int idx)
std::string | getItemText (unsigned int idx)
| returns the text block for a particular item
unsigned int | length ()
Public Member Functions inherited from RDKit::MolSupplier
| MolSupplier ()
virtual | ~MolSupplier ()
virtual void | close ()

## Additional Inherited Members

Protected Member Functions inherited from RDKit::MolSupplier
std::istream * | openAndCheckStream (const std::string &filename)
Protected Attributes inherited from RDKit::MolSupplier
std::istream * | dp_inStream = nullptr
bool | df_owner = false

## Detailed Description

lazy file parser for Smiles tables

Definition at line 231 of file MolSupplier.h.

## Constructor & Destructor Documentation

## SmilesMolSupplier() [1/3]

RDKit::SmilesMolSupplier::SmilesMolSupplier | ( | const std::string & | fileName,
|  | const std::string & | delimiter = `" \t"`,
|  | int | smilesColumn = `0`,
|  | int | nameColumn = `1`,
|  | bool | titleLine = `true`,
|  | bool | sanitize = `true`
| ) |  |

explicit

Parameters

  fileName | - the name of smiles table file
  delimiter | - delimiting characters between records on a each line NOTE that this is not a string, the tokenizer looks for the individual characters in delimiter, not the full string itself. So the default delimiter: " \t", means " " or "\t".
  smilesColumn | - column number for the SMILES string (defaults to the first column)
  nameColumn | - column number for the molecule name (defaults to the second column) If set to -1 we assume that no name is available for the molecule and the name is defaulted to the smiles string
  titleLine | - if true, the first line is assumed to list the names of properties in order separated by 'delimiter'. It is also assume that the 'SMILES' column and the 'name' column are not specified here if false - no title line is assumed and the properties are recorded as the "columnX" where "X" is the column number
  sanitize | - if true sanitize the molecule before returning it

## SmilesMolSupplier() [2/3]

RDKit::SmilesMolSupplier::SmilesMolSupplier | ( |  | ) |

## SmilesMolSupplier() [3/3]

RDKit::SmilesMolSupplier::SmilesMolSupplier | ( | std::istream * | inStream,
|  | bool | takeOwnership = `true`,
|  | const std::string & | delimiter = `" \t"`,
|  | int | smilesColumn = `0`,
|  | int | nameColumn = `1`,
|  | bool | titleLine = `true`,
|  | bool | sanitize = `true`
| ) |  |

explicit

## ~SmilesMolSupplier()

RDKit::SmilesMolSupplier::~SmilesMolSupplier | ( |  | ) |

inline override

Definition at line 274 of file MolSupplier.h.

## Member Function Documentation

## atEnd()

bool RDKit::SmilesMolSupplier::atEnd | ( |  | ) |

override virtual

Implements RDKit::MolSupplier.

## getItemText()

std::string RDKit::SmilesMolSupplier::getItemText | ( | unsigned int | idx | ) |

returns the text block for a particular item

Parameters

  idx | - which item to return

## init()

void RDKit::SmilesMolSupplier::init | ( |  | ) |

override virtual

Implements RDKit::MolSupplier.

## length()

unsigned int RDKit::SmilesMolSupplier::length | ( |  | ) |

## moveTo()

void RDKit::SmilesMolSupplier::moveTo | ( | unsigned int | idx | ) |

## next()

ROMol * RDKit::SmilesMolSupplier::next | ( |  | ) |

override virtual

Implements RDKit::MolSupplier.

## operator[]()

ROMol * RDKit::SmilesMolSupplier::operator[] | ( | unsigned int | idx | ) |

## reset()

void RDKit::SmilesMolSupplier::reset | ( |  | ) |

override virtual

Implements RDKit::MolSupplier.

## setData()

void RDKit::SmilesMolSupplier::setData | ( | const std::string & | text,
|  | const std::string & | delimiter = `" "`,
|  | int | smilesColumn = `0`,
|  | int | nameColumn = `1`,
|  | bool | titleLine = `true`,
|  | bool | sanitize = `true`
| ) |  |

The documentation for this class was generated from the following file:

- MolSupplier.h